org.codehaus.plexus.util.cli

## Class DefaultConsumer

- java.lang.Object
- - org.codehaus.plexus.util.cli.DefaultConsumer

All Implemented Interfaces:
  StreamConsumer

    public class DefaultConsumer
    extends Object
    implements StreamConsumer

Version:
  $Id$
Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`DefaultConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)` Called when the StreamPumper pumps a line from the Stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConsumer

    public DefaultConsumer()

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Description copied from interface: `StreamConsumer`
Called when the StreamPumper pumps a line from the Stream.

Specified by:
  `consumeLine` in interface `StreamConsumer`